Skip to main content
GET
List All Trades
Supports StreamingThis endpoint supports streaming. To read more about this, visit the streaming section.

Query Parameters

offer_id
string

The offer ID. Used to filter for trades originating from a specific offer.

Example:

"123456789"

base_asset_type
enum<string>

The type for the base asset. Either native, credit_alphanum4, or credit_alphanum12.

Available options:
native,
credit_alphanum4,
credit_alphanum12
base_asset_issuer
string

The Stellar address of the base asset’s issuer. Required if the base_asset_type is not native.

Example:

"GDUKMGUGDZQK6YHYA5Z6AY2G4XDSZPSZ3SW5UN3ARVMO6QSRDWP5YLEX"

base_asset_code
string

The code for the base asset. Required if the base_asset_type is not native.

Example:

"USD"

counter_asset_type
enum<string>

The type for the counter asset. Either native, credit_alphanum4, or credit_alphanum12.

Available options:
native,
credit_alphanum4,
credit_alphanum12
counter_asset_issuer
string

The Stellar address of the counter asset’s issuer. Required if the counter_asset_type is not native.

Example:

"GDUKMGUGDZQK6YHYA5Z6AY2G4XDSZPSZ3SW5UN3ARVMO6QSRDWP5YLEX"

counter_asset_code
string

The code for the counter asset. Required if the counter_asset_type is not native.

Example:

"USD"

trade_type
enum<string>

Can be set to all, orderbook, or liquidity_pools to filter only trades executed across a given mechanism.

Available options:
all,
orderbook,
liquidity_pools
cursor
integer

A number that points to a specific location in a collection of responses and is pulled from the paging_token value of a record.

Example:

6606617478959105

order
enum<string>

A designation of the order in which records should appear. Options include asc (ascending) or desc (descending). If this argument isn’t set, it defaults to asc.

Available options:
asc,
desc
limit
integer

The maximum number of records returned. The limit can range from 1 to 200 - an upper limit that is hardcoded in Horizon for performance reasons. If this argument isn’t designated, it defaults to 10.

Example:

10

Response

200 - application/json

Success

_embedded
object